
QGIS Application - Bug report #21395

QGIS crashes after deactivating a GDAL driver in use in the project

2019-02-26 12:23 PM - Alexandre Neto

Status: Open

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29212

Description

If you disable a GDAL driver in a QGIS session while having a file (using the driver) loaded, trying to open the layer's properties will

originate a QGIS Crash.

Although it would be expected for the layer to stop working properly, it would be nicer if we could avoid the crash. I tried JP2 format and

GeoTIFF, but This probably may affect all formats.

To replicate the issue:

1. Open the TIF file provided.

3. Go to Settings > Options > GDAL and disable the used driver (GeoTiff)

4. Try to open the layer properties.

Crash ID: 9061f923e086217e2f7aa8fb6923be2342099ae5

Stack Trace

QString::QString :

QtPrivate::trimmed :

QString::trimmed_helper :

QString::trimmed :

QgsProcessingParameterString::asScriptCode :

PyInit__core :

dataCapabilities :

QgsRasterLayer::htmlMetadata :

QgsRasterLayerProperties::sync :

QgsRasterLayerProperties::QgsRasterLayerProperties :

QgisApp::showLayerProperties :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-02-26 01:51 PM - Alessandro Pasotti

Just curious: what's the use case for disabling a driver?

#2 - 2019-03-01 07:52 PM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from QGIS Crashes after deactivating a GDAL driver in use in the project. to QGIS crashes after deactivating a GDAL driver in use in 

the project

Files

googlegeo.tif 1.1 MB 2019-02-26 Alexandre Neto
